-- Bootstrap lazy.nvim plugin manager

local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
    vim.fn.system({
        "git",
        "clone",
        "--filter=blob:none",
        "https://github.com/folke/lazy.nvim.git",
        "--branch=stable", -- latest stable release
        lazypath,
    })
end
vim.opt.rtp:prepend(lazypath)

local options = require("options")
require("lazy").setup({
    spec = {
        {
            import = "plugins",
        },
    },
    install = {
        missing = options.lazy.install_missing,
        colorscheme = {
            options.ui.theme,
        },
    },
    ui = {
        size = {
            width = options.ui.popup.width,
            height = options.ui.popup.height,
        },
        border = options.ui.border,
        wrap = true,
        icons = options.lazy.icons,
    },
})
