return {
    -- global vim options
    g = {
        -- disable netrw
        loaded_netrw = 1,
        loaded_netrwPlugin = 1
    },
    vim = {
        swapfile = false,          -- disable swap files cuz they are garbage
        clipboard = "unnamedplus", -- Sync with system clipboard
        expandtab = true,          -- spaces instead of tabs
        shiftwidth = 4,            -- tab width in spaces
        tabstop = 4,               -- Number of spaces tabs count for
        completeopt = "menu,menuone,noselect",
        confirm = true,            -- Confirm to save changes before exiting modified buffer
        cursorline = true,         -- Enable highlighting of the current line
        ignorecase = true,         -- Ignore case
        mouse = "a",               -- Enable mouse mode
        number = true,             -- Print line number
        pumblend = 0,              -- Popup pseudo transparency
        pumheight = 12,            -- Popup height
        showmode = false,          -- Dont show mode since we have a statusline
        smartindent = true,        -- Insert indents automatically
        termguicolors = true,      -- True color support
        virtualedit = "block",     -- Allow cursor to move where there is no text in visual block mode
        wrap = false,
        foldcolumn = "1",
        foldlevel = 99,
        foldlevelstart = 99,
        foldenable = true,
        fillchars = {
            foldopen = "",
            foldclose = "",
            fold = " ",
            foldsep = " ",
            diff = "╱",
            eob = " ",
            horiz = "─",
            horizup = "─",
            horizdown = "─",
            vert = "▎",
            vertleft = "▎",
            vertright = "▎",
            verthoriz = "▎",
        },
        mousemoveevent = true,
        laststatus = 3, -- global statusline
    },
    ui = {
        theme = "vscode",
        border = "rounded",
        popup = {
            width = 0.6,
            height = 0.8,
        },
    },
    lsp = {
        icons = {
            Error = " ",
            Warn = " ",
            Hint = " ",
            Info = " ",
        },
    },
    git = {
        -- symbols used by gitsigns
        signs = {
            add = "│",
            change = "¦",
            delete = "",
            topdelete = "",
            changedelete = "¦",
            untracked = "│",
        },
        icons = {
            add = "+",
            change = "~",
            delete = "-",
        },
    },
    lazy = {
        install_missing = true,
        icons = {
            cmd = " ",
            config = "",
            event = "",
            ft = " ",
            init = " ",
            import = " ",
            keys = " ",
            lazy = "󰒲 ",
            loaded = "●",
            not_loaded = "○",
            plugin = " ",
            runtime = " ",
            require = "󰢱 ",
            source = " ",
            start = "",
            task = "✔ ",
            list = {
                "●",
                "➜",
                "★",
                "‒",
            },
        },
    },
}
