return {
    {
        "romgrk/barbar.nvim",
        dependencies = {
            'lewis6991/gitsigns.nvim',     -- OPTIONAL: for git status
            'nvim-tree/nvim-web-devicons', -- OPTIONAL: for file icons
        },
        init = function()
            vim.g.barbar_auto_setup = false
        end,
        version = '^1.7.0',
        opts = function()
            local options = require("options")
            return {
                animation = true,
                tabpages = true,
                insert_at_end = true,
                maximum_padding = 4,
                sidebar_filetypes = {
                    NvimTree = true,
                },
                clickable = true,
                pinned = {
                    button = "",
                    filename = true,
                },
                icons = {
                    separator = { left = "▎", right = "" },
                    diagnostics = {
                        [vim.diagnostic.severity.ERROR] = { enabled = true, icon = options.lsp.icons.Error },
                        [vim.diagnostic.severity.WARN] = { enabled = false, icon = options.lsp.icons.Warn },
                        [vim.diagnostic.severity.INFO] = { enabled = false, icon = options.lsp.icons.Info },
                        [vim.diagnostic.severity.HINT] = { enabled = true },
                        icon = options.lsp.icons.Hint,
                    },
                    gitsigns = {
                        added = { enabled = true, icon = options.git.icons.add },
                        changed = { enabled = true, icon = options.git.icons.change },
                        deleted = { enabled = true, icon = options.git.icons.deleted },
                    },
                },
            }
        end,
    },
}
