return {
    {
        "luukvbaal/statuscol.nvim",
        lazy = true,
        event = {
            "BufEnter",
            "LspAttach"
        },
        config = function()
            local builtin = require("statuscol.builtin")
            require("statuscol").setup({
                ft_ignore = {
                    "neo-tree",
                    "toggleterm",
                    "dashboard",
                    "aerial",
                    "zsh",
                    "NvimTree",
                },
                segments = {
                    -- folds
                    {
                        text = { builtin.foldfunc },
                        click = "v:lua.ScFa",
                    },
                    -- diagnostic signs
                    {
                        sign = {
                            namespace = { "Diagnostic" },
                            colwidth = 2,
                        },
                        auto = true,
                        click = "v:lua.ScSa",
                    },
                    -- line numbers
                    {
                        text = { builtin.lnumfunc },
                        click = "v:lua.ScLa",
                    },
                    -- git signs
                    {
                        sign = { namespace = { "gitsigns" }, maxwidth = 1, },
                        click = "v:lua.ScSa",
                    }
                },
            })
        end,
    },
}
